Bug 597408 - X session crashes when virt-manager's "Open" button is clicked.
X session crashes when virt-manager's "Open" button is clicked.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-28 16:43 EDT by Severin Gehwolf
Modified: 2018-04-11 07:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:57:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of gdb -core=coredump of abrt's coredump file (10.47 KB, text/plain)
2010-05-31 09:44 EDT, Severin Gehwolf
no flags Details

  None (edit)
Description Severin Gehwolf 2010-05-28 16:43:25 EDT
Description of problem:

X crashes when "Open" button of a already running virtual machine is clicked (It sometimes also crashes when "New" is clicked). X crashes too if a remote X session is forwarded via SSH.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.8.0-12.fc13

How reproducible:
Always on my machine.

Steps to Reproduce:
1. Open virt-manager
2. Make sure you have a virtual machine created and running
3. Hit the "Open" button.
  
Actual results:
Gnome session crashes and GDM login screen is presented.

Expected results:
The running virtual machine window should open.

Additional info:

uid: 0
reason: Process /usr/bin/Xorg was killed by signal 6 (SIGABRT)
commanline: /usr/bin/Xorg :0 -nr -verbose -auth /var/run/gdm/auth-for-gdm-y3gBa3/database -nolisten tcp vt1
kernel: 2.6.33.4-95.fc13.i686.PAE
Comment 1 Severin Gehwolf 2010-05-28 16:50:27 EDT
I have a core dump file available, but it's 45M (too large to attach). If it is of interest I can provide it.
Comment 2 Matěj Cepl 2010-05-29 17:48:26 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

First of all, could we get output of the command

	rpm -qa \*xulrun\* \*firefox\* \*mozilla\* \*flash\* \*plugin\*

Please also install firefox-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of gdb debugger. Then use command run and do whatever you did to make firefox crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text editor and attach the file to the bug as an uncompressed attachment.

Please, install also valgrind (from valgrind package) and run

	valgrind --trace-children=yes --log-file=/tmp/firefox-valgrind-log.txt /usr/bin/firefox

(that's one line command, browser breaking this line into two notwithstanding)

Please, attach the file /tmp/firefox-valgrind-log.txt to this bug as an attachment as well.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Matěj Cepl 2010-05-29 17:53:53 EDT
(In reply to comment #1)
> I have a core dump file available, but it's 45M (too large to attach). If it is
> of interest I can provide it.    

Sorry, silly me, the comment 2 is a standard boilerplate for firefox/thunderbird, but it should be useful for your situation as well. Install debuginfos, and then run

gdb --core=<name-of-the-core-filename>

and then follow the other steps in comment 2
Comment 4 Severin Gehwolf 2010-05-31 09:44:03 EDT
Created attachment 418304 [details]
output of gdb -core=coredump of abrt's coredump file

I installed debuginfos and let X crash again. Output of "thread apply all backtrace" is attached. I'm not sure if you also need the valgrind stuff. In that case I'd need to start X manually and run valgrind on it. Let me know if it is required.
Comment 5 Matěj Cepl 2010-05-31 09:53:50 EDT
(In reply to comment #4)
> Created an attachment (id=418304) [details]
> output of gdb -core=coredump of abrt's coredump file
> 
> I installed debuginfos and let X crash again. Output of "thread apply all
> backtrace" is attached. I'm not sure if you also need the valgrind stuff. In
> that case I'd need to start X manually and run valgrind on it. Let me know if
> it is required.    

No, I don't need valgrind logs (I am not sure whether Xorg would actually even run under valgrind).

Thanks a lot
Comment 6 Severin Gehwolf 2010-06-01 09:39:24 EDT
Fortunately, I have found a workaround. Once I removed the "xorg-x11-drv-nouveau" package, rebooted and tried to use virt-manager as described above, Xorg does not crash any more. I was able to confirm this by installing the package again, rebooted my machine and followed the procedure above, which crashed my X session as described in the initial bug report.

I'm not sure why "xorg-x11-drv-nouveau" causes those problems, but it seems to be the culprit for me.

Thanks!
Comment 7 Bug Zapper 2011-06-02 09:01:01 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2011-06-27 12:57:06 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.